spec/integrations/rails_5_2/test.sh in cypress-on-rails-1.11.0 vs spec/integrations/rails_5_2/test.sh in cypress-on-rails-1.12.0

- old
+ new

@@ -2,17 +2,18 @@ set -eo pipefail echo '--- testing rails 5.2' echo '-- setting environment' -DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" -RAILS_ENV=test -BUNDLE_GEMFILE="$DIR/Gemfile" +export DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" +export RAILS_ENV=test +export BUNDLE_GEMFILE="$DIR/Gemfile" cd $DIR echo '-- bundle install' bundle --version -bundle install --quiet --gemfile="$DIR/Gemfile" --retry 2 --path vendor/bundle +bundle config set --local path 'vendor/bundle' +bundle install --quiet --gemfile="$DIR/Gemfile" --retry 2 echo '-- migration' bundle exec ./bin/rails db:drop || true bundle exec ./bin/rails db:create db:migrate